Bug Hunting Session
Bug 66126 - FORMATTING: Incorrect bold Chinese font width
Summary: FORMATTING: Incorrect bold Chinese font width
Status: RESOLVED INVALID
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
3.6.7.2 release
Hardware: All Linux (All)
: medium major
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: CJK
  Show dependency treegraph
 
Reported: 2013-06-24 13:25 UTC by lzh9102
Modified: 2015-09-04 03:01 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
The example document in the pictures. (8.21 KB, application/vnd.oasis.opendocument.text)
2013-06-24 13:25 UTC, lzh9102
Details
Exported PDF from the document (3.60 KB, application/pdf)
2013-06-25 13:22 UTC, lzh9102
Details
The documents that triggers the bug. (8.40 KB, application/vnd.oasis.opendocument.text)
2013-06-30 02:20 UTC, lzh9102
Details
list of fonts in my system (openSUSE 12.3) (15.08 KB, text/plain)
2013-07-03 13:24 UTC, lzh9102
Details

Note You need to log in before you can comment on or make changes to this bug.
Description lzh9102 2013-06-24 13:25:00 UTC
Created attachment 81337 [details]
The example document in the pictures.

The problem is that Chinese characters are squashed together when they are in bold style.
image: http://goo.gl/lQwRf

If the characters are not bold, the fonts are rendered like this, which is correct:
image: http://goo.gl/md9jj

The problem only occurs when the selected font doesn't contain the characters. In this case, the font "DejaVu Sans" doesn't contain Chinese characters. If I change the font to "Droid Sans Fallback", which contains Chinese characters, the problem disappears.
Comment 1 Thomas van der Meulen 2013-06-24 15:03:09 UTC
Thank you for your bug report, I CAN't reproduce this bug running LibreOffice Version: 4.1.0.1
Build ID: 1b3956717a60d6ac35b133d7b0a0f5eb55e9155 on Mac osx 10.8.4.
Comment 2 Khaled Hosny 2013-06-25 01:04:48 UTC
We use quite different text rendering stacks on Linux and Mac, but I can’t reproduce it with master on Linux either.
Comment 3 lzh9102 2013-06-25 12:51:44 UTC
The bug also presents in the pre-installed libreoffice on linux mint 15. I also downloaded LibreOffice_4.1.0.1_Linux_x86-64_deb.tar.gz pre-release and installed writer and its dependencies, but the bug still presents.
Comment 4 Khaled Hosny 2013-06-25 12:55:06 UTC
Can you export a PDF file and check what font is embedded, try to use it directly from the font menu and see if the issue persists.
Comment 5 lzh9102 2013-06-25 13:22:54 UTC
Created attachment 81411 [details]
Exported PDF from the document
Comment 6 lzh9102 2013-06-25 13:23:21 UTC
I exported the document as PDF, and the embedded font is "Droid Sans Fallback". If I directly select "Droid Sans Fallback" in the font menu, the characters are displayed correctly. The output PDF is still squashed, though.
Comment 7 lzh9102 2013-06-27 05:43:03 UTC
The bug only appears when the font size is large enough. On my installation, it only happens when the font size is larger than 15pt.
Comment 8 Khaled Hosny 2013-06-29 20:32:50 UTC
Can you attached the ODT file?
Comment 9 lzh9102 2013-06-30 02:20:23 UTC
Created attachment 81730 [details]
The documents that triggers the bug.
Comment 10 Khaled Hosny 2013-06-30 13:34:50 UTC
I’m still unable to reproduce this. Can you test with 4.1 pre-release? http://www.libreoffice.org/download/pre-releases/
Comment 11 retired 2013-07-03 12:22:02 UTC
I can confirm this problem using LO 4.1.0.1 on Ubuntu 13.04.

Both documents (document.odt and bold.odt) do squash the chinese characters so that they look like as if they where piled on top of each other.

Works fine on OS X 10.8.4, LO 4.1.0.1.

Setting to NEW.
Comment 12 Khaled Hosny 2013-07-03 13:19:17 UTC
Interesting, can you attach the list of fonts in your system (both of you, if possible) using "fc-list --format="%{family}\n" | sort | uniq".
Comment 13 lzh9102 2013-07-03 13:24:32 UTC
Created attachment 81959 [details]
list of fonts in my system (openSUSE 12.3)
Comment 14 Khaled Hosny 2013-07-04 10:13:16 UTC
That is a large number of fonts. James, can you post yours? I want to find out the common fonts for possible culprit.
Comment 15 Kevin Suo 2013-08-01 02:06:09 UTC
(In reply to comment #7)
> The bug only appears when the font size is large enough. On my installation,
> it only happens when the font size is larger than 15pt.

I can confirm this bug in LibrOffice 3.6.7.2 and LibreOffice 4.1.0.4.

The Chinese chars are squashed together when:
* non-Chinese fonts are applied to these chars (Arial,Calibri,Droid Serif/sans, ubuntu, Times New Roman, etc.); and
* font size is large enough ( 16pt for Arial, Ubuntu and Calibri, 15pt for Droid, 19pt for Times New Roman).

It's OK when Chinese fonts are applied.
Comment 16 Kevin Suo 2013-08-01 02:09:44 UTC
I am changing the version to 3.6.7.2, and platform to All.
Comment 17 Kevin Suo 2015-01-12 14:28:10 UTC
Hi lzh9102 or anyone who can test,

This bug seems to have been fixed somewhere. I do not see this issue with the recent versions anymore.
Could you confirm whether it works with version 4.3.5.2 or 4.4.0.2?
If it works, mark this bug as RESOLVED WORKSFORME. Otherwise, set it back to NEW.

Thanks!
Comment 18 QA Administrators 2015-07-18 17:35:42 UTC
Dear Bug Submitter,

This bug has been in NEEDINFO status with no change for at least 6 months. Please provide the requested information as soon as possible and mark the bug as UNCONFIRMED. Due to regular bug tracker maintenance, if the bug is still in NEEDINFO status with no change in 30 days the QA team will close the bug as INVALID due to lack of needed information.

For more information about our NEEDINFO policy please read the wiki located here: 
https://wiki.documentfoundation.org/QA/FDO/NEEDINFO

If you have already provided the requested information, please mark the bug as UNCONFIRMED so that the QA team knows that the bug is ready to be confirmed.


Thank you for helping us make LibreOffice even better for everyone!


Warm Regards,
QA Team

This NEEDINFO message was generated on: 2015-07-18
Comment 19 QA Administrators 2015-09-04 03:01:01 UTC
Dear Bug Submitter,

Please read this message in its entirety before proceeding.

Your bug report is being closed as INVALID due to inactivity and a lack of information which is needed in order to accurately reproduce and confirm the problem. We encourage you to retest your bug against the latest release. If the issue is still present in the latest stable release, we need the following information (please ignore any that you've already provided):

a) Provide details of your system including your operating system and the latest version of LibreOffice that you have confirmed the bug to be present

b) Provide easy to reproduce steps – the simpler the better

c) Provide any test case(s) which will help us confirm the problem

d) Provide screenshots of the problem if you think it might help

e) Read all comments and provide any requested information

Once all of this is done, please set the bug back to UNCONFIRMED and we will attempt to reproduce the issue. 
Please do not:
a) respond via email 
b) update the version field in the bug or any of the other details on the top section of FDO
Message generated on: 2015-09-03